Bug 1126350 - [Testing Report]Make sure all the report detail pages have the same style about the cases number in different status
Summary: [Testing Report]Make sure all the report detail pages have the same style abo...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Application
Version: 3.8.10
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.8.10
Assignee: cqi
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 09:11 UTC by Tingting Zhao
Modified: 2018-07-04 21:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
the number is empty in both priority and tester pages when there are no cases in some status (84.88 KB, image/png)
2014-08-04 09:11 UTC, Tingting Zhao
no flags Details
the cases number are zero instead of empty in some pages (114.93 KB, image/png)
2014-08-04 09:11 UTC, Tingting Zhao
no flags Details

Description Tingting Zhao 2014-08-04 09:11:09 UTC
Created attachment 923807 [details]
the number is empty in both priority and tester pages when there are no cases in some status

Description of problem:
as summary

Version-Release number of selected component (if applicable):
v3.8.10-1 on devel server

How reproducible:
100%

Steps to Reproduce:
1.enter Testing report and generate reports with different conditions:
By Case-Run Tester
By Case Priority
 By Plan's Tag
By Plan's Tag Per Tag View
By Plan & Build
By Plan & Build Per Plan View
2.Then check the styles in different pages.

Actual results:
the cases number in different pages have different styles:
in the  By Case-Run Tester and By Case Priority pages,the cases number are empty with no cases belonging to the status.
in By Plan's Tag Per Tag View and By Plan & Build Per Plan View pages,the numbers are 0 if there are no cases belong to the status.

Expected results:
In these four pages,the cases number should have the same style(0 or empty)when no cases belong to the status for good UI.

Additional info:

Comment 1 Tingting Zhao 2014-08-04 09:11:58 UTC
Created attachment 923808 [details]
the cases number are zero instead of empty in some pages

Comment 2 cqi 2014-08-07 03:43:15 UTC
fixed. display 0 instead of just showing an empty cell

Comment 3 yangqiu 2014-08-07 09:26:41 UTC
verify this issue on v3.8.10-1 on devel.--->Pass
verify steps are same as description.


Note You need to log in before you can comment on or make changes to this bug.